Last Comment Bug 222394 - IMAP: MYRIGHTS command used on names marked \Noselect
: IMAP: MYRIGHTS command used on names marked \Noselect
Status: RESOLVED FIXED
: fixed1.8.0.7, fixed1.8.1
Product: MailNews Core
Classification: Components
Component: Networking: IMAP (show other bugs)
: Trunk
: All All
: -- normal with 3 votes (vote)
: ---
Assigned To: David :Bienvenu
: grylchan
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-16 01:10 PDT by Sebastian Hagedorn
Modified: 2009-01-22 10:17 PST (History)
6 users (show)
dveditz: blocking1.8.0.7+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Don't issue "myrights" command on "Noselect" folders (717 bytes, patch)
2006-06-23 01:53 PDT, Boying Lu
mozilla: review+
mozilla: superreview+
dveditz: approval1.8.0.7+
Details | Diff | Splinter Review

Description Sebastian Hagedorn 2003-10-16 01:10:36 PDT
User-Agent:       Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.5) Gecko/20031007
Build Identifier: Mozilla/5.0 (Macintosh; U; PPC Mac OS X Mach-O; en-US; rv:1.5) Gecko/20031007

I'm running a Cyrus IMAP server with shared mailboxes. I've set up my IMAP in
account in Mozilla to have the server override the namespaces. So Mozilla finds
out about the shared folders:

<1066289493<3 namespace
>1066289493>* NAMESPACE (("" "/")) (("user/" "/")) (("Shared Folders/" "/"))
3 OK Completed

Then it proceeds to list all mailboxes and gets, among others, these replies:

* LIST (\Noselect \HasChildren) "/" "user"
* LIST (\Noselect \HasChildren) "/" "Shared Folders"

Note that both are marked \Noselect! Still Mozilla sends the following commands
to the IMAP server:

<1066289502<127 myrights "user"
>1066289502>127 NO Invalid mailbox name
<1066289506<128 myrights "Shared Folders"
>1066289506>128 NO Invalid mailbox name

I personally would prefer Mozilla to only to myrights and getacl when a folder
is opened, not preemptively. It definitely should *not* send these commands for
names that can't be selected ...

Reproducible: Always

Steps to Reproduce:
1. Set up Cyrus IMAP
2. Create shared mailboxes
3. Set up Mozilla to list all mailboxes and to use the namespaces specified by
the server

Actual Results:  
There were two error messages "NO Invalid mailbox name", no details about
*which* mailbox names.

Expected Results:  
It shouldn't have tried to do MYRIGHTS on a name for which \Noselect has been
returned.

This is Cyrus IMAP 2.1.12, but I doubt that matters.
Comment 1 Jaroslav Snajdr 2004-05-31 08:29:01 PDT
The same happens when IMAP server returns a name of folder that doesn't exist 
any more in LSUB response (can happen when I delete a folder, but I don't 
UNSUBSCRIBE it). Mozilla tries GETACL or MYRIGHTS on that folder and shows a 
strange error message to the user: The current command did not succeed: The 
mail server responded: GETACL Cannot access folder.


Comment 2 Gervase Markham [:gerv] 2005-09-27 02:09:11 PDT
This is an automated message, with ID "auto-resolve01".

This bug has had no comments for a long time. Statistically, we have found that
bug reports that have not been confirmed by a second user after three months are
highly unlikely to be the source of a fix to the code.

While your input is very important to us, our resources are limited and so we
are asking for your help in focussing our efforts. If you can still reproduce
this problem in the latest version of the product (see below for how to obtain a
copy) or, for feature requests, if it's not present in the latest version and
you still believe we should implement it, please visit the URL of this bug
(given at the top of this mail) and add a comment to that effect, giving more
reproduction information if you have it.

If it is not a problem any longer, you need take no action. If this bug is not
changed in any way in the next two weeks, it will be automatically resolved.
Thank you for your help in this matter.

The latest beta releases can be obtained from:
Firefox:     http://www.mozilla.org/projects/firefox/
Thunderbird: http://www.mozilla.org/products/thunderbird/releases/1.5beta1.html
Seamonkey:   http://www.mozilla.org/projects/seamonkey/
Comment 3 Sebastian Hagedorn 2005-10-03 12:58:58 PDT
This bug still exists in Thunderbird 1.5b1. I just checked it.
Comment 4 Sebastian Hagedorn 2006-01-12 05:25:39 PST
Just to keep this alive: the bug is still present in TB 1.5 final. It should be rather trivial to fix, but apparently nobody else seems to mind ... Granted, it only happens when you create the account for the first time, but still it's embarrassing.
Comment 5 tim.howe 2006-06-20 20:46:41 PDT
This bug exists.  I've seen it in Thunderbird 1.0.7, 1.5.0.2, and 1.5.0.4.  It's quite bothersome when there is a deep hierarchy of shared folders with most of the hierarchy marked \Noselect.

The user needs to click through errors for minutes on end for each startup.
Comment 6 Boying Lu 2006-06-22 06:44:47 PDT
I want to re-produce this bug. But can anyone tell me how to create a shared mailbox? Thanks
Comment 7 Sebastian Hagedorn 2006-06-22 06:55:13 PDT
Re #4:

That depends on the server you're using.  With Cyrus IMAP you specify the paths in imapd.conf, like this:
sharedprefix: Shared Folders
Then you create top-level mailboxes using cyradm:
blabla> cm sharedtest
Set the ACL so anyone can see it:
blabla> sam sharedtest anyone read
blabla> lam sharedtest
anyone lrs

That's it.
Comment 8 Boying Lu 2006-06-23 01:53:23 PDT
Created attachment 226773 [details] [diff] [review]
Don't issue "myrights" command on "Noselect" folders
Comment 9 David :Bienvenu 2006-06-23 07:33:45 PDT
Comment on attachment 226773 [details] [diff] [review]
Don't issue "myrights" command on "Noselect" folders

thx, Boying
Comment 10 Sebastian Hagedorn 2006-06-26 03:15:12 PDT
So, shouldn't this bug be set to CONFIRMED or FIXED, then?
Comment 11 David :Bienvenu 2006-06-26 07:52:44 PDT
confirmed, I guess - afaik, the fix hasn't been checked in. Boying, do you want me to check the fix in?
Comment 12 Boying Lu 2006-06-26 22:07:39 PDT
(In reply to comment #11)
> confirmed, I guess - afaik, the fix hasn't been checked in. Boying, do you want
> me to check the fix in?
> 

Yes. please check it in.  Thanks
Comment 13 Boying Lu 2006-06-26 22:44:56 PDT
David, can we put the patch into thunderbird2?
Comment 14 Boying Lu 2006-06-27 22:49:07 PDT
(In reply to comment #13)
> David, can we put the patch into thunderbird2?
> 

I mean can we put the patch into 1.8 branch?  Thanks
Comment 15 David :Bienvenu 2006-06-29 16:02:36 PDT
fixed on trunk and branch.
Comment 16 Daniel Veditz [:dveditz] 2006-08-09 14:57:08 PDT
Comment on attachment 226773 [details] [diff] [review]
Don't issue "myrights" command on "Noselect" folders

approved for 1.8.0 branch, a=dveditz for drivers
Comment 17 David :Bienvenu 2006-08-10 13:24:42 PDT
fixed for 1.5.0.7

Note You need to log in before you can comment on or make changes to this bug.